﻿using System;
using System.Collections.Generic;
using System.Text;

namespace ComboError.Events
{
	public class NotificationEventArgs : System.EventArgs
	{
		#region Local Variables
		NotificationEventStates state = NotificationEventStates.Started;
		NotificationEventTypes type = NotificationEventTypes.Validate;
		object sender = null;
		string parameter = string.Empty;

		#endregion

		#region Construction
		public NotificationEventArgs(object Sender, 
			string Parameter,
			NotificationEventStates EventState, NotificationEventTypes EventType)
		{
			this.sender = Sender;
			this.parameter = Parameter;
			this.state = EventState;
			this.type = EventType;
		}

		#endregion

		#region Properties
		public object Sender
		{
			get { return this.sender; }
		}

		public string Parameter
		{
			get { return this.parameter; }
		}

		public NotificationEventStates EventState
		{
			get { return this.state; }
		}

		public NotificationEventTypes EventType
		{
			get { return this.type; }
		}

		#endregion

	}
}
